<!--
@license
Copyright (c) 2016 The Polymer Project Authors. All rights reserved.
This code may only be used under the BSD style license found at http://polymer.github.io/LICENSE.txt
The complete set of authors may be found at http://polymer.github.io/AUTHORS.txt
The complete set of contributors may be found at http://polymer.github.io/CONTRIBUTORS.txt
Code distributed by Google as part of the polymer project is also
subject to an additional IP rights grant found at http://polymer.github.io/PATENTS.txt
-->

<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, minimum-scale=1, initial-scale=1, user-scalable=yes">

    <title>my-view1</title>

    <script src="../bower_components/webcomponentsjs/webcomponents-lite.js"></script>
    <script src="../bower_components/web-component-tester/browser.js"></script>

    <!-- Import the element to test -->
    <link rel="import" href="../src/transactions.html">
  </head>
  <body>
    <test-fixture id="gridData">
      <template>
        <transaction-list></transaction-list>
      </template>
    </test-fixture>

    <script>
      suite('Transaction list tests', function() {
        test('Grid length checking', function() {
          var myView = fixture('gridData');
          var gridLength = myView.shadowRoot.querySelector('#grid');
          assert.equal(gridLength.length, '0');
        });
      });
    </script>
  </body>
</html>
